#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'chemistry_paradise/base/base.rb'; < ::ChemistryParadise::Base 
# =========================================================================== #
require 'chemistry_paradise/toplevel_methods/language.rb'
require 'chemistry_paradise/shared.rb'
require 'chemistry_paradise/constants/german_names_of_elements_to_element_symbol.rb'
require 'chemistry_paradise/base/colours.rb'

module ChemistryParadise

class Base # === ChemistryParadise::Base

  include ChemistryParadise::Constants
  include ChemistryParadise::Shared

  alias ee print

  # ========================================================================= #
  # === NAMESPACE
  # ========================================================================= #
  NAMESPACE = inspect

  # ========================================================================= #
  # === reset
  # ========================================================================= #
  def reset
  end

  # ========================================================================= #
  # === opnn
  # ========================================================================= #
  def opnn(i)
    if i.is_a? String
      i = { namespace: i }
    end
    Opn.opn(i) # Delegate to module Opn here.
  end

  # ========================================================================= #
  # === use_which_language?
  # ========================================================================= #
  def use_which_language?
    ::ChemistryParadise.use_which_language?
  end

  # ========================================================================= #
  # === do_use_the_german_language
  # ========================================================================= #
  def do_use_the_german_language
    ::ChemistryParadise.do_use_german
  end

  # ========================================================================= #
  # === do_use_the_english_language
  # ========================================================================= #
  def do_use_the_english_language
    ::ChemistryParadise.do_use_english
  end

  # ========================================================================= #
  # === do_we_use_english?
  #
  # Query method to determine whether we will use english or whether
  # we will use another language, for a project-wide setting.
  # ========================================================================= #
  def do_we_use_english?
    (use_which_language? == :english)
  end

end; end