#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'chemistry_paradise/commandline/help.rb'
# =========================================================================== #
module ChemistryParadise

class ParseCommandline < ::ChemistryParadise::Base 

  # ========================================================================= #
  # === show_help
  #
  # The help options can be queried via:
  #   chemistry_paradise --help
  # ========================================================================= #
  def show_help
    e 'The following options are documented:'
    e
    e '  --molmassen?                     # show '\
      'where the molmasses are kept (a file)'
    e '  --electronegativity-of=F/Fe      # report '\
      'the electronegativitiy of the elements F '\
      'and Fe (Fluor and Iron)'
    e '  --show_electron_negativity_chart # show '\
      'the electron negativity chart of the atoms'
    e '  /Quecksilber/                    # use '\
      'a pseudo-regex to obtain the element-symbol '\
      'from a german name'
    e '  ^^^ the above // is called a pseudo-regex; pseudo '\
      'because it is actually a String and not a regex'
    e
  end

end; end