#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === ChemistryParadise::EqualizeChemicalFormula
#
# This class will fill in the missing stoichiometric numbers.
#
# Usage examples:
#   EqualizeChemicalFormula.new
# =========================================================================== #
# require 'chemistry_paradise/equalize_chemical_formula'
# =========================================================================== #
require 'chemistry_paradise/base/base.rb'

module ChemistryParadise

class EqualizeChemicalFormula < ::ChemistryParadise::Base  # === EqualizeChemicalFormula

  # ========================================================================= #
  # === DEFAULT_FORMULA
  # ========================================================================= #
  DEFAULT_FORMULA = 'Fe(OH)3 + H2SO4 -> Fe2(SO4)3 + H2O'

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      i           = nil,
      run_already = true
    )
    set_test_this_formula(i)
    run if run_already
  end

  # ========================================================================= #
  # === set_original_input
  # ========================================================================= #
  def set_original_input(i)
    @original_input = i
  end

  # ========================================================================= #
  # === set_test_this_formula
  # ========================================================================= #
  def set_test_this_formula(
      i = DEFAULT_FORMULA
    )
    i = DEFAULT_FORMULA if i.nil?
    i = DEFAULT_FORMULA if i.empty?
    set_original_input(i) # Call this before parse().
    i = parse(i)
    @test_this_formula = i
  end

  # ========================================================================= #
  # === analyze_dataset
  # ========================================================================= #
  def analyze_dataset
    splitted = @test_this_formula.split('->')
    links = splitted[0]
    rechts = splitted[1]
    opn; e 'Auf der '+RED+'linken Seite '+WHITE+'finden wir: '+links
    opn; e 'Auf der '+RED+'rechten Seite '+WHITE+'finden wir: '+rechts
pp 'TODO: WIR MÜSSEN NOCH BERECHNEN WIE VIELE'
pp 'ELEMENTE DORT VORKOMMEN'
pp splitted
  end

  # ========================================================================= #
  # === run                                                         (run tag)
  # ========================================================================= #
  def run
    analyze_dataset
pp self
  end

end; end

if __FILE__ == $PROGRAM_NAME
  ChemistryParadise::EqualizeChemicalFormula.new(ARGV)
end # $RUBY_CHEMISTRY/equalize_chemical_formula.rb