#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === ChemistryParadise::Orbitals
#
# This will just output the amount of electrons residing
# in a specific orbital.
# =========================================================================== #
require 'chemistry_paradise/base/base.rb'

module ChemistryParadise

class Orbitals < Base # === ChemistryParadise::Orbitals

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      upto_n      = 10,
      run_already = true
    )
    reset
    set_upto(upto_n)
    run if run_already
  end

  # ========================================================================= #
  # === set_upto
  # ========================================================================= #
  def set_upto(i = 10) # 10 is default.
    @upto = i
  end

  # ========================================================================= #
  # === reset
  # ========================================================================= #
  def reset
    set_upto
  end

  # ========================================================================= #
  # === run
  # ========================================================================= #
  def run
    1.upto(@upto).each {|entry|
      e '  '+entry.to_s.rjust(3)+' -> '+
        sfancy(
          calculate_for_this_orbital(entry).to_s.rjust(3)
        )+' Orbitals.'
    }
  end

  # ========================================================================= #
  # === calculate_for_this_orbital
  # ========================================================================= #
  def calculate_for_this_orbital(n)
    2 * (n ** 2)
  end

end; end

if __FILE__ == $PROGRAM_NAME
  ChemistryParadise::Orbitals.new(10)  
end # orbitals