#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'chemistry_paradise/toplevel_methods/kelvin.rb'
# =========================================================================== #
module ChemistryParadise

  # ========================================================================= #
  # === ChemistryParadise.kelvin
  #
  # This method will output how many Kelvin n Celsius are.
  #
  # The temperature T in Kelvin (K) is equal to the temperature T in
  # degrees Celsius (°C) plus 273.1.
  #
  # The formula thus is:
  #
  #   T(K) = T(°C) + 273.15
  #
  # ========================================================================= #
  def self.kelvin(n_celsius)
    if n_celsius.is_a? Array
      n_celsius = n_celsius.first
    end
    n_kelvin = n_celsius.to_f + 273.15
    return n_kelvin
  end; self.instance_eval { alias celsius_to_kelvin kelvin } # === ChemistryParadise.celsius_to_kelvin

end

if __FILE__ == $PROGRAM_NAME
  puts ChemistryParadise.kelvin(ARGV)
end # kelvin 37