#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This class can help set a different language for the project. By default,
# the german language is used, but you can call the module-method below,
# called ChemistryParadise.use_english, to enable english instead.
# =========================================================================== #
# require 'chemistry_paradise/toplevel_methods/language.rb'
# =========================================================================== #
module ChemistryParadise

  # ========================================================================= #
  # === @use_this_language
  # ========================================================================= #
  @use_this_language = :german

  # ========================================================================= #
  # === ChemistryParadise.set_use_this_language
  # ========================================================================= #
  def self.set_use_this_language(i = :german)
    @use_this_language = i
  end

  # ========================================================================= #
  # === ChemistryParadise.use_which_language?
  # ========================================================================= #
  def self.use_which_language?
    @use_this_language
  end

  # ========================================================================= #
  # === ChemistryParadise.do_use_english
  #
  # Use this method if you want to use the english language.
  # ========================================================================= #
  def self.do_use_english
    set_use_this_language(:english)
  end; self.instance_eval { alias use_english do_use_english } # === ChemistryParadise.use_english

  # ========================================================================= #
  # === ChemistryParadise.do_use_german
  #
  # Use this method if you want to use the german language.
  # ========================================================================= #
  def self.do_use_german
    set_use_this_language(:german)
  end; self.instance_eval { alias use_german do_use_german } # === ChemistryParadise.use_german

end